Only in /usr/src/sys/sys: CVS
diff -u /usr/src/sys/sys/jail.h sys/sys/jail.h
--- /usr/src/sys/sys/jail.h	Thu Jun  9 12:49:19 2005
+++ sys/sys/jail.h	Fri Jul 28 12:03:26 2006
@@ -18,6 +18,10 @@
 	char		*path;
 	char		*hostname;
 	u_int32_t	ip_number;
+	unsigned int	priority;
+        unsigned int    mem_limit;
+/*        struct thread   *scheduler;
+ CJ TODO --- add reference to preferred scheduler, e.g. by name? */
 };
 
 struct xprison {
@@ -26,9 +30,26 @@
 	char		 pr_path[MAXPATHLEN];
 	char 		 pr_host[MAXHOSTNAMELEN];
 	u_int32_t	 pr_ip;
+        unsigned int     priority;
+        unsigned int     mem_limit;
+  /*        struct thread    *scheduler; */
 };
 #define	XPRISON_VERSION	1
 
+#define JAIL_DEFAULT_PRIORITY 10
+#define JAIL_MINIMUM_PRIORITY 1
+#define JAIL_MAXIMUM_PRIORITY 100
+
+#define JAIL_DEFAULT_MEM_LIMIT 256 * 1024 * 1024
+
+#define J_SCHED_TD_ACTIVE 0x01
+#define J_SCHED_TD_DIE    0x02
+#define J_SCHED_TD_DEAD   0x04
+
+#define J_PAGER_TD_ACTIVE 0x01
+#define J_PAGER_TD_DIE    0x02
+#define J_PAGER_TD_DEAD   0x04
+
 #ifndef _KERNEL
 
 int jail(struct jail *);
@@ -61,6 +82,11 @@
  *   (d) set only during destruction of jail, no mutex needed
  */
 #if defined(_KERNEL) || defined(_WANT_PRISON)
+
+#include <sys/proc.h>
+/*struct proc; */
+
+
 struct prison {
 	LIST_ENTRY(prison) pr_list;			/* (a) all prisons */
 	int		 pr_id;				/* (c) prison id */
@@ -73,6 +99,13 @@
 	int		 pr_securelevel;		/* (p) securelevel */
 	struct task	 pr_task;			/* (d) destroy task */
 	struct mtx	 pr_mtx;
+	unsigned int	 pr_priority;			/* (p) jail priority */
+        struct proc     *pr_scheduler;                  /* (c) scheduler pid */
+        int              pr_scheduler_flags;            /* (p) communication to scheduler */
+        struct proc     *pr_pager;                      /* (c) pager pid */
+        int              pr_pager_flags;                /* (p) communication to pager */
+        size_t           pr_mem_limit;                  /* (p) memory allocation limit */
+        size_t           pr_mem_usage;                  /* (p) memory in use */
 };
 #endif /* _KERNEL || _WANT_PRISON */
 
@@ -110,6 +143,8 @@
 void prison_hold(struct prison *pr);
 int prison_if(struct ucred *cred, struct sockaddr *sa);
 int prison_ip(struct ucred *cred, int flag, u_int32_t *ip);
+vm_pindex_t prison_memory(struct prison *pr);
+vm_pindex_t prison_memory_limit(struct prison *pr);
 void prison_remote_ip(struct ucred *cred, int flags, u_int32_t *ip);
 
 #endif /* _KERNEL */
